<% if @layout.new_record? -%>
<h1>New Layout</h1>
<% else -%>
<h1>Edit Layout</h1>
<% end -%>

<form method="post" action="">
  <%= hidden_field "layout", "lock_version" %>
  <div class="form-area">
    <p class="title">
      <label for="layout_name">Name</label>
      <%= text_field "layout", "name", :class => 'textbox', :maxlength => 100 %>
    </p>
    <div id="extended-metadata" class="row"<%= meta_visible(:meta) %>>
      <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <th class="label"><label for="layout_content_type">Content&#8209;Type</label></th>
          <td class="field"><%= text_field "layout", "content_type", :class => 'textbox', :maxlength => 40 %></td>
        </tr>
      </table>
    </div>
    <p>
      <small>
        <a id="more-extended-metadata" href="#" onclick="<%= toggle_javascript_for('extended-metadata') %>"<%= meta_visible(:meta_more) %>>More</a>
        <a id="less-extended-metadata" href="#" onclick="<%= toggle_javascript_for('extended-metadata') %>"<%= meta_visible(:meta_less) %>>Less</a>
      </small>
    </p>
    <p class="content">
      <label for="layout_content">Body</label>
      <%= text_area "layout", "content", :class => "textarea", :style => "width: 100%" %>
    </p>
    <%= updated_stamp @layout %>
  </div>
  <p class="buttons">
    <%= save_model_button(@layout) %> <%= save_model_and_continue_editing_button(@layout) %> or <%= link_to "Cancel", layout_index_url %>
  </p>
</form>

<%= focus 'layout_name' %>
